Bug 965111 - wireshark: DoS (infinite loop) in the MySQL dissector (wnpa-sec-2013-30, upstream #8458)
wireshark: DoS (infinite loop) in the MySQL dissector (wnpa-sec-2013-30, upst...
Status: CLOSED DUPLICATE of bug 966331
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130517,reported=2...
: Security
Depends On: 881873 965942
Blocks: 965198
  Show dependency treegraph
 
Reported: 2013-05-20 08:57 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 01:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-20 08:57:58 EDT
A denial of service flaw was found in the way MySQL dissector of Wireshark, a network traffic analyzer, processed certain MySQL packet capture files. A remote attacker could provide a specially-crafted MySQL packet capture file that, when processed, would lead to denial of service (wireshark executable to enter infinite loop while trying to dissect that file).

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8458

Reproducer:
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8458#c1

Upstream patch:
[3] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48894
Comment 1 Huzaifa S. Sidhpurwala 2013-05-22 02:30:32 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-17 [bug 881873]
Affects: fedora-18 [bug 965942]
Comment 3 Huzaifa S. Sidhpurwala 2013-05-22 05:26:37 EDT
Upstream advisory:

http://www.wireshark.org/security/wnpa-sec-2013-30.html
Comment 4 Huzaifa S. Sidhpurwala 2013-05-22 06:21:52 EDT
Statement:

This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5. This issue affects the version of wireshark as shipped with Red Hat Enterprise Linux 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.
Comment 5 Huzaifa S. Sidhpurwala 2013-05-23 01:36:29 EDT

*** This bug has been marked as a duplicate of bug 966331 ***

Note You need to log in before you can comment on or make changes to this bug.